summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorAndres P <aepd87@gmail.com>2010-06-21 18:55:37 +0200
committerDan McGee <dan@archlinux.org>2010-06-24 15:22:15 +0200
commitc6a94a8d2204cfdec0f782f647903d597b4faf57 (patch)
tree565c9f048a4852ec0c68db484a3fb8d40f013198 /scripts
parent67d71ea932a18d27dbb87f4f364ae9159b4edc96 (diff)
downloadpacman-c6a94a8d2204cfdec0f782f647903d597b4faf57.tar.gz
pacman-c6a94a8d2204cfdec0f782f647903d597b4faf57.tar.xz
makepkg: fix regression in split package function checking
Commit 13748ca0529 inversed the nature of one test wherein the if clause would throw a fatal error if a legitimate package function was defined in PKGBUILD. Signed-off-by: Andres P <aepd87@gmail.com> Signed-off-by: Allan McRae <allan@archlinux.org> Signed-off-by: Dan McGee <dan@archlinux.org>
Diffstat (limited to 'scripts')
-rw-r--r--scripts/makepkg.sh.in2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index dbc40471..f2ec78e2 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -1255,7 +1255,7 @@ check_sanity() {
if (( ${#pkgname[@]} > 1 )); then
for pkg in ${pkgname[@]}; do
- if declare -f package_${pkg} >/dev/null; then
+ if ! declare -f package_${pkg} >/dev/null; then
error "$(gettext "missing package function for split package '%s'")" "$pkg"
return 1
fi